package com.jz.dm.common.exception;


import com.jz.dm.common.util.ResultCode;

/**
 * 通知异常
 *
 */
public class NotifyException extends OpenApiException {

    /** 序列号 */
    private static final long serialVersionUID = 3391018902219700916L;

    /**
     * 构造函数
     * 
     * @param resultCode
     */
    public NotifyException(ResultCode resultCode) {
        super(resultCode);
    }

    /**
     * 构造函数
     * 
     * @param resultCode
     * @param cause
     */
    public NotifyException(ResultCode resultCode, Throwable cause) {
        super(resultCode, cause);
    }

    /**
     * 构造函数
     * 
     * @param resultCode
     * @param detailMessage
     */
    public NotifyException(ResultCode resultCode, String detailMessage) {
        super(resultCode, detailMessage);
    }

    /**
     * 构造函数
     * 
     * @param code
     * @param msg
     */
    public NotifyException(String code, String msg) {
        this(code, msg, (Throwable) null);
    }

    /**
     * 构造函数
     * 
     * @param code
     * @param msg
     * @param cause
     */
    public NotifyException(String code, String msg, Throwable cause) {
        super(code, msg, cause);
    }

    /**
     * 构造函数
     * 
     * @param code
     * @param msg
     * @param detailMessage
     */
    public NotifyException(String code, String msg, String detailMessage) {
        super(code, msg, detailMessage);
    }

}