/**
 * Copyright (c) 2011-2014 All Rights Reserved.
 */
package com.jz.dm.common.util;

/**
 * @author Admin
 * @version $Id: Constants.java 2014年9月3日 下午9:03:44 $
 */
public class Constants {
    /**
     * 默认时间格式
     **/
    public static final String DATE_TIME_FORMAT = "yyyy-MM-dd HH:mm:ss";
    
    public static final String DATE_FORMAT = "yyyyMMdd";

    /**
     * 密码的正则表达式
     */
    public static final String PASSWORD_EXG = "^(?![^a-zA-Z]+$)(?!\\D+$).{8,30}$";
    
    /**
     * UTF-8字符集
     **/
    public static final String CHARSET_UTF8 = "UTF-8";
    
    /**
     * Date默认时区
     **/
    public static final String DATE_TIMEZONE = "GMT+8";
    
    public static final String PRINCIPAL_NAME_ATTRIBUTE_OMSNAME = ".OMS_PRINCIPAL_NAME_ATTRIBUTE_NAME";
    public static final String PRINCIPAL_NAME_ATTRIBUTE_MCHNAME = ".MCH_PRINCIPAL_NAME_ATTRIBUTE_NAME";
    public static final String PRINCIPAL_NAME_ATTRIBUTE_PROXYNAME = ".PROXY_PRINCIPAL_NAME_ATTRIBUTE_NAME";
    public static final String PRINCIPAL_NAME_ATTRIBUTE_SUPNAME = ".SUPPLIER_PRINCIPAL_NAME_ATTRIBUTE_NAME";
    
    public static final String PERMISSIONS = "permissions";
    
    /**
     * 登录成功后,继续跳转URL
     */
    public static final String GOTO_KEY = "to";
    
    /**
     * 记录密码控件的密钥key
     */
    public final static String TOKEN = "token_%s";
    // http请求头UA参数
    public static final String UA = "user-agent";
    
    
    //缓存名称
    public static final String MEMBER_CACHE_NAME = "data:members";
    public static final String MERCHANT_CACHE_NAME = "data:merchants";
    public static final String SECRET_CACHE_NAME = "data:secret_keys";
    public static final String ADDR_CACHE_NAME = "data:addrs";
    public static final String PRODUCT_CACHE_NAME = "data:products";
    public static final String API_WHITE_CACHE_NAME = "data:apiwhite";
    //数据库序列名称
    public static final String SEQ_ACCOUNT = "ids:accounts";
    public static final String SEQ_ACCOUNT_WATER = "ids:accounts:water";
    //public static final String SEQ_MEMBER = "ids:members";
    public static final String SEQ_RECHARGE = "ids:recharges:loop:7";
    public static final String SEQ_TRADE_ORDER = "ids:tradeorders:loop:7";
    public static final String SEQ_PAYMENT = "ids:payment:loop:7";
    public static final String SEQ_WITHDRAW = "ids:withdraws:loop:7";
    public static final String SEQ_TRANSFER = "ids:transfer:loop:7";
    
    /**
     * key = 产线名:服务名:用途:数据类型:key
     */
    public static final String VALID_CODE_KEY_PREFIX = "data:merchants:valid:string:";
    public static final String VALID_CODE_KEY_COUNT_PREFIX = "data:merchants:valid:long:";

    /** 短信签约缓存名称 **/
    public static final String SMS_SIGN_KEY_PREFIX = "data:smssign:shortcode:string:";
    public static final String SMS_SIGN_VALID_CODE_PREFIX = "data:smssign:validcode:string:";
    public static final String SMS_SIGN_VALID_CODE_LIMIT_PREFIX = "data:smssign:validlimit:string:";
    public static final String SMS_BROKER_VALID_CODE_PREFIX = "data:smsbroker:valid:string:";
    /**
     * 发送短信验证
     */
    public static final String SEND_PAY_VALID_CODE = "sendPayValidCode";
    public static final String SEND_EDIT_PASSWORD_VALID_CODE = "sendPasswordValidCode";
    public static final String SEND_SIGN_VALID_CODE = "sendSignValidCode";
    public static final String SMS_BROKER_VALID_CODE_TEMPLATE = "sendBrokerValidCode";
    /**
     * 代理商分润汇总key
     */
    public static final String PROXY_ALL_FEE_SUMMARY = "PROXY_ALL_FEE_SUMMARY";
    public static final String PROXYER_Fee = "PROXYER_Fee";
    public static final String MERCHANT_Fee = "MERCHANT_Fee";
}
