package com.jz.dm.common.util;


import java.util.HashMap;
import java.util.Map;

/**
 * HDD HashMap
 *
 */
public class HddHashMap extends HashMap<String, String> {

    private static final long serialVersionUID = -3440305725602261736L;

    public HddHashMap() {
        super();
    }

    public HddHashMap(Map<? extends String, ? extends String> map) {
        super(map);
    }

    /**
     * if key or value is null, not put into hash map
     * 
     * @see HashMap#put(Object, Object)
     */
    @Override
    public String put(String key, String value) {
        if (StringUtil.isNotEmpty(key, value)) {
            return super.put(key, value);
        } else {
            return null;
        }
    }
}
