package com.jz.common.base;

import com.jz.common.bean.MallCustomerApiDto;
import org.apache.commons.lang3.StringUtils;

import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/3
 * @Version:
 */
public class CurrentUser {

    /**
     * 获取用户信息
     *
     * @param req
     * @return
     */
    public static MallCustomerApiDto getCurrentUser(HttpServletRequest req) {
        MallCustomerApiDto mallCustomerApiDto = (MallCustomerApiDto) req.getAttribute("mallCustomer");
        return mallCustomerApiDto;
    }

    /**
     * 用户id
     *
     * @param request
     * @return
     */
    public static Long getCustomerId(HttpServletRequest request) {
        Long customerId = getCurrentUser(request).getCustomerId();
        return customerId;
    }

    /**
     * 企业id
     *
     * @param request
     * @return
     */
    public static String getDepartmentId(HttpServletRequest request) {
        Long departmentId = getCurrentUser(request).getDepartmentId();
        if (departmentId != null) {
            String id = String.valueOf(departmentId);
            return id;
        }
        return null;
    }

    /**
     * 用户资产id
     * @Author Bellamy
     * @param request
     * @return
     */
    public static String getAssetsId(HttpServletRequest request) {
        String assetsId = getCurrentUser(request).getAssetsId();
        if (StringUtils.isNotEmpty(assetsId)) {
            return assetsId;
        }
        return null;
    }

}
