package com.jz.dm.mall.moduls.controller.customer;

import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.company.bean.CompanyAddReq;
import com.jz.dm.mall.moduls.service.PersonalUserControllerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Mono;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.controller.customer
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: PersonalUserController
 * @USER: key
 * @DATE: 2020-12-3/18:01
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@RestController
@RequestMapping("/personalUser")
@Api(tags = "用户信息controller")
public class PersonalUserController {

    @Autowired
    private PersonalUserControllerService personalUserControllerService;

    /**
     * @Description: 查询个人信息
     * @Author: Mr.zhang
     * @Date: 2020-12-2
     */
    @PostMapping("/getPersonalInfo")
    @ApiOperation(value = "查询个人信息")
    public Mono<Result> getUserInfo() {
        return Mono.fromSupplier(() -> personalUserControllerService.getUserInfo());
    }

    /**
     * @Description: 修改用户密码
     * @Author: Mr.zhang
     * @Date: 2020-12-2
     */
    @PostMapping("/updatePassWard")
    @ApiOperation(value = "修改用户密码")
    public Mono<Result> updateUserPassWard(@RequestParam(value = "oldPassWard") String oldPassWard,
                                           @RequestParam(value = "newPassWard") String newPassWard) {
        return Mono.fromSupplier(() -> personalUserControllerService.updateUserPassWard(oldPassWard,newPassWard));
    }
}
