package com.jz.dm.mall.moduls.controller.order.bean;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单表(TOrder)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:40
 */

@ApiModel
public class OrderDto {
    private static final long serialVersionUID = 651546246975691600L;
    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id")
    private Long orderId;
    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String orderNumber;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long customerId;
    /**
     * 订单状态：01待支付，02已支付，03已取消
     */
    @ApiModelProperty(value = "订单状态：01待支付，02已支付，03已取消")
    private String orderStatus;
    /**
     * 订单金额
     */
    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderMoney;
    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date orderTime;
    /**
     * 卖家id
     */
    @ApiModelProperty(value = "卖家id")
    private Long sellerId;
    /**
     * 支付金额
     */
    @ApiModelProperty(value = "支付金额")
    private BigDecimal paymentMoney;
    /**
     * 支付时间
     */
    @ApiModelProperty(value = "支付时间")
    private Date paymentTime;
    /**
     * 支付方式：01余额
     */
    @ApiModelProperty(value = "支付方式：01余额")
    private String paymentMethod;
    /**
     * 优惠金额
     */
    @ApiModelProperty(value = "优惠金额")
    private BigDecimal districtMoney;
    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    @ApiModelProperty(value = "购买方式：01年，02季，03月，04次(服务类型)")
    private String purchaseMethod;
    /**
     * 商品token
     */
    private String goodsToken;
    /**
     * 盐值
     */
    @ApiModelProperty(value = "盐值")
    private String saltValue;
    /**
     * apikey
     */
    @ApiModelProperty(value = "apikey")
    private String apiKey;
    /**
     * 生效日期
     */
    @ApiModelProperty(value = "生效日期")
    private Date takeEffectTime;
    /**
     * 失效日期
     */
    @ApiModelProperty(value = "失效日期")
    private Date invalidTime;
    /**
     * 价格类型：01免费，02收费
     */
    private String priceType;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 删除标识
     */
    private String delFlag;
    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;
    /**
     * 数据分类
     */
    @ApiModelProperty(value = "数据分类")
    private String dataType;


    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public BigDecimal getOrderMoney() {
        return orderMoney;
    }

    public void setOrderMoney(BigDecimal orderMoney) {
        this.orderMoney = orderMoney;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public BigDecimal getPaymentMoney() {
        return paymentMoney;
    }

    public void setPaymentMoney(BigDecimal paymentMoney) {
        this.paymentMoney = paymentMoney;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public BigDecimal getDistrictMoney() {
        return districtMoney;
    }

    public void setDistrictMoney(BigDecimal districtMoney) {
        this.districtMoney = districtMoney;
    }

    public String getPurchaseMethod() {
        return purchaseMethod;
    }

    public void setPurchaseMethod(String purchaseMethod) {
        this.purchaseMethod = purchaseMethod;
    }

    public String getGoodsToken() {
        return goodsToken;
    }

    public void setGoodsToken(String goodsToken) {
        this.goodsToken = goodsToken;
    }

    public String getSaltValue() {
        return saltValue;
    }

    public void setSaltValue(String saltValue) {
        this.saltValue = saltValue;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public Date getTakeEffectTime() {
        return takeEffectTime;
    }

    public void setTakeEffectTime(Date takeEffectTime) {
        this.takeEffectTime = takeEffectTime;
    }

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}