package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 日志管理(TPlatformLog)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:42
 */
@TableName("t_platform_Log")
@ApiModel
public class PlatformLog implements Serializable {
    private static final long serialVersionUID = 112371340504875570L;
    /**
     * 日志id
     */
    private Long platformLogId;
    /**
     * 请求ip
     */
    private String requestIp;
    /**
     * 调用人id
     */
    private String callerId;
    /**
     * 商品id
     */
    private Long dataGoodsId;
    /**
     * apikey
     */
    private String apiKey;
    /**
     * 请求参数
     */
    private String requestParams;
    /**
     * 返回参数
     */
    private String returnParams;
    /**
     * 请求路径
     */
    private String requestUrl;
    /**
     * 请求时间
     */
    private Date requestTime;
    /**
     * 服务类型：01年，02月，03次
     */
    private String serviceType;
    /**
     * 数据类型：01api，02数据包
     */
    private String dataGoodsType;
    /**
     * 下载地址
     */
    private String downloadAddress;
    /**
     * 数据商品单价
     */
    private BigDecimal dataPrice;
    /**
     * 价格类型：01免费，02收费
     */
    private String priceType;
    /**
     * 调用总次数
     */
    private Long totalTimes;
    /**
     * 已使用次数
     */
    private Long usedTimes;
    /**
     * 剩余次数
     */
    private Long remainTimes;
    /**
     * 有效开始时间
     */
    private Date startTime;
    /**
     * 有效结束时间
     */
    private Date endTime;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getPlatformLogId() {
        return platformLogId;
    }

    public void setPlatformLogId(Long platformLogId) {
        this.platformLogId = platformLogId;
    }

    public String getRequestIp() {
        return requestIp;
    }

    public void setRequestIp(String requestIp) {
        this.requestIp = requestIp;
    }

    public String getCallerId() {
        return callerId;
    }

    public void setCallerId(String callerId) {
        this.callerId = callerId;
    }

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getRequestParams() {
        return requestParams;
    }

    public void setRequestParams(String requestParams) {
        this.requestParams = requestParams;
    }

    public String getReturnParams() {
        return returnParams;
    }

    public void setReturnParams(String returnParams) {
        this.returnParams = returnParams;
    }

    public String getRequestUrl() {
        return requestUrl;
    }

    public void setRequestUrl(String requestUrl) {
        this.requestUrl = requestUrl;
    }

    public Date getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Date requestTime) {
        this.requestTime = requestTime;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public String getDataGoodsType() {
        return dataGoodsType;
    }

    public void setDataGoodsType(String dataGoodsType) {
        this.dataGoodsType = dataGoodsType;
    }

    public String getDownloadAddress() {
        return downloadAddress;
    }

    public void setDownloadAddress(String downloadAddress) {
        this.downloadAddress = downloadAddress;
    }

    public BigDecimal getDataPrice() {
        return dataPrice;
    }

    public void setDataPrice(BigDecimal dataPrice) {
        this.dataPrice = dataPrice;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public Long getTotalTimes() {
        return totalTimes;
    }

    public void setTotalTimes(Long totalTimes) {
        this.totalTimes = totalTimes;
    }

    public Long getUsedTimes() {
        return usedTimes;
    }

    public void setUsedTimes(Long usedTimes) {
        this.usedTimes = usedTimes;
    }

    public Long getRemainTimes() {
        return remainTimes;
    }

    public void setRemainTimes(Long remainTimes) {
        this.remainTimes = remainTimes;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}