package com.jz.manage.moduls.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.manage.moduls.controller.order.bean.OrderDetailDto;
import com.jz.manage.moduls.controller.order.bean.OrderDto;
import com.jz.manage.moduls.controller.order.bean.OrderRequest;
import com.jz.manage.moduls.mapper.OrderDao;
import com.jz.manage.moduls.service.OrderService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 订单表(TOrder)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
@Service("orderService")
@Transactional
public class OrderServiceImpl implements OrderService {

    @Autowired
    private OrderDao orderDao;

    @Override
    public PageInfoResponse<OrderDto> queryListOrderInfo(OrderRequest orderRequest, HttpServletRequest req) throws Exception {
        PageInfoResponse<OrderDto> pageInfoResponse = new PageInfoResponse<>();

        Map param = new HashMap();
        //从session中获取平台用户id
        //SysUserDto user = (SysUserDto) SessionUtils.getUserCurrent(requset,"sysUser");
        //param.put("userId", user.getUserId());
        //数据行业
        if (StringUtils.isNotEmpty(orderRequest.getCategoryId())) {
            param.put("categoryId", orderRequest.getCategoryId());
        }
        //订单方式
        if (StringUtils.isNotEmpty(orderRequest.getPurchaseMethod())) {
            param.put("orderMethod", orderRequest.getPurchaseMethod());
        }
        //企业名
        if (StringUtils.isNotEmpty(orderRequest.getDepartmentName())) {
            param.put("departmentName", orderRequest.getDepartmentName());
        }
        //数据名称
        if (StringUtils.isNotEmpty(orderRequest.getDataName())) {
            param.put("dataName", orderRequest.getDataName());
        }

        //数据类型
        if (StringUtils.isNotEmpty(orderRequest.getDataType())) {
            param.put("dataType", orderRequest.getDataType());
        }

        PageHelper.startPage(orderRequest.getPageNum(), orderRequest.getPageSize());
        List<OrderDto> list = orderDao.queryListOrderInfo(param);
        PageInfo<OrderDto> pageInfo = new PageInfo<>(list);

        pageInfoResponse.setCode(Constants.SUCCESS_CODE);
        pageInfoResponse.setMessage("查询成功");
        pageInfoResponse.setData(pageInfo);
        return pageInfoResponse;
    }

    @Override
    public OrderDetailDto queryOrderDetail(String orderId) throws Exception {
        return orderDao.queryOrderDetail(orderId);
    }
}