package com.jz.manage.moduls.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.common.constant.ResultMsg;
import com.jz.manage.moduls.entity.PlatformLog;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.log.bean.ManageLogInfoQueryReq;
import com.jz.manage.moduls.mapper.PlatformLogDao;
import com.jz.manage.moduls.service.PlatformLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 日志管理(TPlatformLog)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
@Service("platformLogService")
public class PlatformLogServiceImpl implements PlatformLogService {
    @Autowired
    private PlatformLogDao tPlatformLogDao;


    @Override
    public Result listManageUserLogInfo(ManageLogInfoQueryReq req) {
        IPage<PlatformLog> page = new Page<>(req.getPageNum(), req.getPageSize());
        QueryWrapper<PlatformLog> query = new QueryWrapper<>();
        query.eq("del_flag" ,"N");
        query.orderByDesc("cre_time");
        IPage<PlatformLog> platformLogIPage = tPlatformLogDao.selectPage(page, query);
        return Result.of_success(platformLogIPage);
    }

    /**
     * 获取用户日志详情
     * @param platformLogId
     * @return
     */
    @Override
    public Result getMallUserLogDetail(Long platformLogId) {
        QueryWrapper<PlatformLog> query = new QueryWrapper<>();
        query.eq("platform_log_id",platformLogId);
        query.eq("del_flag","N");
        query.orderByDesc("cre_time");
        PlatformLog platformLog = tPlatformLogDao.selectOne(query);
        if (null == platformLog){
            return Result.of_error(ResultMsg.DATA_NOT_FOUND);
        }
        return Result.of_success(platformLog);
    }
}